
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');



*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Inter', sans-serif;

}

body{
    background-color: black;
    overscroll-behavior-y: contain;
}

.nav{
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    color: white;
    padding: 2rem;
    align-items: center;
    position: fixed;
    top: 0;
    z-index: 1;
    background-color: black;
}

.title p, i{
    color: #FFFFFF96;
}
.title{
    display: flex;
    flex-direction: row;
    column-gap: 0.9rem;
    align-items: center;
}

.title h4{
    color: whitesmoke;
    font-size: 0.9rem;
}

.nav img{
    border-radius: 100px;
    object-fit: cover;
    width: 32px;
    height: 32px;
    border: 1px solid white;
}
ul{
    width: fit-content;
    height: auto;
    display: flex;
    align-items: center;
    flex-direction: row;
    column-gap: 1rem;
    list-style: none;
}
.nav ul li{
    width: fit-content;
    height: auto;
}
.nav ul li a{
    color: #FFFFFF96;
}

/* Form-style */
.form-container{
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    row-gap: 2rem;
    justify-content: center;
    align-items: center;
    margin-top: 10rem;
}

.all-container{
    width: 30%;
    height: auto;
    display: flex;
    flex-direction: column;
    row-gap: 2rem;
}

.form-title{
    display: flex;
    flex-direction: column;
    width: 100%;
    height: auto;
    color: white;
    row-gap: 0.7rem;
}

.form-title h2{
    font-size: 1.8rem;
    color: white;
}

.form-title p{
    font-size: 1rem;
    color: #FFFFFF96;
    line-height: 1.4rem;
}

.form{
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    row-gap: 0.7rem;
    justify-content: start;
    align-items: start;
}

.input{
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    row-gap: 0.4rem;
}

.alert{
    visibility: hidden;
    font-size: 16px;
    font-style: italic;
    color: red;
}

input{
    width: 100%;
    padding: 0.8rem 0.6rem;
    background-color: black;
    outline: none;
    border: 1px solid #374151;
    border-radius: 4px;
}

::placeholder{

    color: #787878;
    font-size: 16px;
}

input[type="number"],
textarea {
  background-color: #1F2937;
  color: white;
}

.button{
    width: 100%;
    height: auto;
    padding: 0.7rem;
    outline: none;
    border: none;
    font-size: 16px;
    font-weight: 600;
    margin-top: 1rem;
    border-radius: 4px;
    background-color: #3B82F6;
    color: white;
}


.result-container{
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    row-gap: 0.6rem;
}

.result-body-content{
    width: 100%;
    height: auto;
    background-color: #1F2937;
    padding: 1.2rem;
    display: flex;
    flex-direction: column;
    row-gap: 1rem;
    border-radius: 4px;
}

.result{
    font-size: 1.3rem;
    line-height: 1.7rem;
    color: white;
}

.result-content{
    color: #D1D5DB;
    line-height: 1.4rem;
    font-size: 1rem;
}

/* Media_Querry */

@media (max-width:765px) {

    .form-container{
        width: 100%;
        height: auto;
        display: flex;
        flex-direction: column;
        row-gap: 2rem;
        justify-content: center;
        align-items: center;
        margin-top: 6rem;
        padding: 2rem;
    }
    .all-container{
        width: 100%;
        height: auto;
        row-gap: 2rem;
    } 

    .form{
        width: 100%;
        height: auto;
       display: flex;
       flex-direction: column;
      row-gap: 0.7rem;
      justify-content: center;
      align-items: center;
    }
    
    .profile{
        display: none;
    }
}

